AgentConnect
GitLab

List managed GitLab projects

The organization-owned project bindings with their §8.2 lifecycle states.

GET
/v1/orgs/{orgId}/gitlab/projects

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Response Body

application/json

curl -X GET "https://example.com/v1/orgs/string/gitlab/projects"
{  "bindings": [    {      "id": "string",      "projectId": "string",      "projectPath": "string",      "defaultBranch": "string",      "state": "provisioning",      "stateReason": "string",      "installerConnectionId": "string",      "accounts": [        {          "agentId": "string",          "username": "string",          "displayName": "string",          "userId": "string",          "state": "provisioning",          "stateReason": "string"        }      ],      "webhookState": "not_needed",      "credentialEpoch": "string",      "createdAt": "string"    }  ]}